Deployments.ai Docs
Evaluations

List score results for a trace

GET /v1/traces/{traceId}/score-results · SDK listTraceScoreResults · CLI deployments eval score trace

GET
/v1/traces/{traceId}/score-results

Requires observability:read.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Path Parameters

traceId*string

W3C trace ID (32 lowercase hex characters).

Match^[a-f0-9]{32}$

Query Parameters

cursor?string
Length1 <= length <= 8192
limit?integer
Range1 <= value <= 100

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
x-deployments-project*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

ListScoreResultsResponse

application/json
  1. response
items*array<>
nextCursor?string|null
curl -X GET "https://example.com/v1/traces/string/score-results" \  -H "x-deployments-organization: string" \  -H "x-deployments-project: string" \  -H "x-deployments-environment: string"
{  "items": [    {      "agentDeploymentId": "string",      "agentReleaseId": "string",      "createdAt": "2019-08-24T14:15:22Z",      "datasetCaseId": "string",      "durationMs": 0,      "errorClass": "evaluator_failed",      "errorMessage": "string",      "evaluationRunId": "string",      "evaluatorVersionHash": "string",      "evidenceRefs": [        {          "id": "string",          "kind": "message"        }      ],      "executionStatus": "error",      "humanActorPrincipalId": "string",      "id": "string",      "judge": {        "costUsdMicros": 0,        "inputTokens": 0,        "internalEvaluator": true,        "modelId": "string",        "outputTokens": 0      },      "label": "string",      "passed": true,      "rationale": "string",      "revision": 1,      "runId": "string",      "scoreDefinitionId": "string",      "scoreType": "deterministic",      "source": "api",      "spanId": "string",      "threshold": 0,      "traceId": "string",      "updatedAt": "2019-08-24T14:15:22Z",      "value": 0,      "version": 0    }  ],  "nextCursor": "string"}